slepc-3.21.1 2024-04-26
Report Typos and Errors

# NEPNLEIGSSetSingularitiesFunction

Sets a user function to compute a discretization of the singularity set (where T(.) is not analytic).

### Synopsis

    #include "slepcnep.h"
    PetscErrorCode NEPNLEIGSSetSingularitiesFunction(NEP nep,PetscErrorCode (*fun)(NEP nep,PetscInt *maxnp,PetscScalar *xi,void *ctx),void *ctx)

Logically Collective

### Input Parameters

| nep | - the NEP context
| fun | - user function (if NULL then NEP retains any previously set value)
| ctx | - [optional] user-defined context for private data for the function (may be NULL, in which case NEP retains any previously set value)

### Calling sequence of fun

     PetscErrorCode fun(NEP nep,PetscInt *maxnp,PetscScalar *xi,void *ctx)

| nep | - the NEP context
| maxnp | - on input number of requested points in the discretization (can be set)
| xi | - computed values of the discretization
| ctx | - optional context, as set by NEPNLEIGSSetSingularitiesFunction()

### Notes

The user-defined function can set a smaller value of maxnp if necessary. It is wrong to return a larger value.

If the problem type has been set to rational with NEPSetProblemType(), then it is not necessary to set the singularities explicitly since the solver will try to determine them automatically.

### See Also

NEPNLEIGSGetSingularitiesFunction(), NEPSetProblemType()

### Level

intermediate

### Location

src/nep/impls/nleigs/nleigs.c

### Examples

src/nep/tutorials/ex27.c
src/nep/tutorials/ex27f.F90
Index of all NEP routines
Table of Contents for all manual pages
Index of all manual pages